Event Trigger
This webhook is triggered when the company’s verification status changes to either:
Webhook Payload
{
"Live": false,
"Event": "COMPANY_VERIFICATION_STATUS_CHANGED",
"Data": {
"CompanyId": "d549b2af-3752-4844-8d55-475d3462df2a",
"Status": "Verified"
}
}
Payload Fields
| Field | Type | Description |
|---|
Live | bool | It’s true when coming from production environment |
Event | string | The event name: always COMPANY_VERIFICATION_STATUS_CHANGED |
Data.CompanyId | string | Unique identifier of the company |
Data.Status | string | New status: Verified or Rejected |
Data.Timestamp | string | ISO timestamp indicating when the event occurred. |
The company status may remain Unverified for up to 24 hours while KYB is being processed.
If you need to manually check a company’s status, use the following endpoint:
GET /company/status
GET https://api.synchpay.com/company/status
Authorization: Bearer <AccessToken>
Response example:
{
"CompanyId": "d549b2af-3752-4844-8d55-475d3462df2a",
"Status": "Verified"
}
Last modified on January 7, 2026